Package org.apache.sling.distribution

## Class InvalidationProcessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.sling.distribution.InvalidationProcessException

All Implemented Interfaces:
  `Serializable`

    public class InvalidationProcessException
    extends Exception

Exception thrown by the Invalidation processor implementations

See Also:
  Serialized Form

### Constructor Summary

Constructors
`InvalidationProcessException​(String message)`
`InvalidationProcessException​(String message, Throwable cause)`
`InvalidationProcessException​(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidationProcessException

    public InvalidationProcessException​(String message)

#### InvalidationProcessException

    public InvalidationProcessException​(String message,
                                        Throwable cause)

#### InvalidationProcessException

    public InvalidationProcessException​(Throwable cause)